#!/usr/bin/perl

use strict;
use warnings;

# Check for the command-line parameter
if (@ARGV < 1) {
    die "Usage: $0 [ES|FR]\n";
}

my $language = uc $ARGV[0]; # Convert to uppercase for case-insensitivity

# Define replacement rules based on the selected language
my %replacement_rules;

if ($language eq 'ES') {
    %replacement_rules = (
        qr/\bmy apple\b/i => "our berries",
        qr/\byou\b/i      => "me",
        # Add more rules for Spanish as needed
    );
} elsif ($language eq 'FR') {
    %replacement_rules = (
        qr/\bmy apple\b/i => "nos baies",
        qr/\byou\b/i      => "tu",
        # Add more rules for French as needed
    );
} else {
    die "Unsupported language: $language\n";
}

# Read input from standard input
while (<STDIN>) {
    # Perform replacements using the compiled regex patterns
    foreach my $pattern (keys %replacement_rules) {
        my $replace = $replacement_rules{$pattern};
        s/$pattern/$replace/g;
    }

    # Print the modified line
    print;
}

